Package: node-rollup / 2.38.4-1

hardcode-version.patch Patch series | download
1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
Description: Hardcode version
 Ugly hack: rollup is required for importing package.json. This removes circular
 build dependency. This should be fixed properly when we have latest version of
 rollup in the archive and a proper staged build is used.
Forwarded: not-needed
Reviewed-By: Xavier Guimard <yadd@debian.org>
Last-Update: 2021-01-29

--- a/src/rollup/rollup.ts
+++ b/src/rollup/rollup.ts
@@ -1,4 +1,4 @@
-import { version as rollupVersion } from 'package.json';
+const rollupVersion = '2.38.4';
 import Bundle from '../Bundle';
 import Graph from '../Graph';
 import { ensureArray } from '../utils/ensureArray';
--- a/src/utils/PluginContext.ts
+++ b/src/utils/PluginContext.ts
@@ -1,4 +1,4 @@
-import { version as rollupVersion } from 'package.json';
+const rollupVersion = '2.38.4';
 import Graph from '../Graph';
 import {
 	NormalizedInputOptions,